import random
import cocos
import pyglet
import pymunk
from pymunk.vec2d import Vec2d
from math import pi

from pyglet.gl import *

import Actor
import Blob


class Sticky(Actor.Actor):
    def __init__(self, context, pos):
        super(Sticky, self).__init__(pos)

        self.sprite = cocos.sprite.Sprite("Sticky.png")
        self.add(self.sprite)

        self.coll = None
        self.active = False

    def update(self, context):
        super(Sticky, self).update(context)
        dist, actor = context.level.get_closest_actor_by_type(self.x, self.y, Blob.Blob)
        if dist < 100 and not self.active:
            actor.activate_skill()
            self.active = True
        elif dist > 150:
            self.active = False
