import os
import sys


currpath = os.getcwd()
sys.path.insert(0, os.path.join( currpath, "pyglet-1.1.4" ) )
sys.path.insert(0, os.path.join( currpath, "cocos2d-0.3.1-beta" ) )
sys.path.insert(0, os.path.join( currpath, "pymunk-1.0.0" ) )

import cocos
import pyglet
import pymunk

pyglet.resource.path = [os.path.join("../data/")]
pyglet.resource.reindex()
pyglet.options['debug_gl'] = False

import MainScene
import Level.Level01

def run():
    cocos.director.director.init( width=1024, height=600, caption="Wibbly wobbly pyweek game", audio=None )
    cocos.director.director.show_FPS = False
    try:
        player = pyglet.media.Player()
        music = pyglet.media.load("../data/sounds/bgmusic.ogg", None, streaming=True)
        player.eos_action = player.EOS_LOOP
        music.play()
        player.eos_action = player.EOS_LOOP
    except:
        print "No music"

    debug = 0
    if debug == 1:
        go_scene = MainScene.MainScene(  )
        cocos.director.director.run( go_scene )

    else:
        go_scene = MainScene.MainScene( Level.Level01.Level01 )
        cocos.director.director.run( go_scene )



if __name__ == "__main__":
    do_profile = 0
    if do_profile == 1:
        import profile
        import cProfile, pstats
        cProfile.run("run()", "main")
        stats = pstats.Stats( "main" )
        stats.strip_dirs()
        stats.sort_stats('time', 'calls')
        stats.print_stats(30)
    if do_profile == 2:
        import profile
        profile.run("run()")
    if do_profile == 3:
        import hotshot, hotshot.stats
        prof = hotshot.Profile("run.prof")
        prof.runcall(run)
        prof.close()
        stats = hotshot.stats.load("run.prof")
        stats.strip_dirs()
        stats.sort_stats('time', 'calls')
        stats.print_stats(20)

    else:
        run()
